# info pages are installed with make install but not packaged
%set_verify_info_method relaxed

%def_disable static
%def_enable check
%def_without libtasn1

#
# name macroses
# 
%define libname                 libgnutls
%define soname                  13
%define so_libname              %libname%soname
%define pkgname                 gnutls

%define pkgdocdir %_docdir/%pkgname-%version

#
# version macroses
#
%define req_gcrypt_ver 1.2.2
%define req_opencdk_ver 0.5.5
%define req_tasn1_ver 0.3.4

Name: %pkgname%soname
Version: 2.0.4
Release: alt7
Summary: Transport Layer Security library
Group: System/Legacy libraries
License: LGPL
Url: http://www.gnu.org/software/%pkgname/
Packager: Afanasov Dmitry <ender@altlinux.org>

Source: %pkgname-%version.tar
Source2: %pkgname-%version-vers.sym

# Automatically added by buildreq on Tue May 30 2006
BuildRequires: cvs gtk-doc libgcrypt-devel liblzo-devel libopencdk-devel libreadline-devel pkg-config zlib-devel
BuildRequires: gcc-c++

BuildRequires: libgcrypt-devel >= %req_gcrypt_ver
BuildRequires: libopencdk-devel >= %req_opencdk_ver
%if_with libtasn1
BuildRequires: libtasn1-devel >= %req_tasn1_ver
%endif
%ifarch %ix86 x86_64
BuildRequires: valgrind
%endif

%description
GnuTLS is a project that aims to develop a library which provides a
secure layer, over a reliable transport layer. Currently the GnuTLS
library implements the proposed standards by the IETF TLS working
group.

#
# libgnutls
#
%package -n %so_libname
Summary: Transport Layer Security library
Group: System/Libraries

Requires: libgcrypt >= %req_gcrypt_ver
%if_with libtasn1
Requires: libtasn1 >= %req_tasn1_ver
%endif

Provides: %libname = %version-%release

Conflicts: libgnutls < %version-%release
Obsoletes: libgnutls

%description -n %so_libname
A library which provides a secure layer, over a reliable transport layer.
Currently the GnuTLS library implements the proposed standards
by the IETF TLS working group.

#
# libgnutls-openssl
#
%package -n %so_libname-openssl
Summary: OpenSSL compatibility layer for the GnuTLS library
Group: System/Libraries
License: GPL
Requires: %so_libname = %version-%release

Provides: %libname-openssl = %version-%release

Conflicts: %libname-openssl < %version-%release
Obsoletes: %libname-openssl

%description -n %so_libname-openssl
The %pkgname-openssl library provides an OpenSSL compatibility layer to the
%pkgname library, to ease migration from the OpenSSL library.

%prep
%setup -n %pkgname-%version

install -m644 %SOURCE2 lib/libgnutls.vers

bzip2 -9k ChangeLog

%build
#autoreconf -isfv
%configure \
%if_without libtasn1
	--with-included-libtasn1 \
%endif
	--disable-gtk-doc \
	%{subst_enable static}
# Non-parallel make
%make
%if_enabled check
%make check
%endif

%install
%make_install DESTDIR=%buildroot install

install -d -m755 %buildroot%pkgdocdir
install -p -m644 AUTHORS ChangeLog.bz2 NEWS README THANKS doc/TODO \
    %buildroot%pkgdocdir
ln -s %_licensedir/GPL-2 %buildroot%pkgdocdir/COPYING
ln -s %_licensedir/LGPL-2.1 %buildroot%pkgdocdir/COPYING.LIB
install -p -m644 doc/*.html doc/*.png %buildroot%pkgdocdir
%make -C doc/examples clean
cp -a doc/examples %buildroot%pkgdocdir
rm -f %buildroot%pkgdocdir/examples/Makefile*

%files -n %so_libname
%dir %pkgdocdir
%pkgdocdir/AUTHORS
%pkgdocdir/ChangeLog.bz2
%pkgdocdir/NEWS
%pkgdocdir/README
%pkgdocdir/THANKS
%pkgdocdir/TODO
%pkgdocdir/COPYING.LIB
%_libdir/%libname.so.*

%files -n %so_libname-openssl
%_libdir/%libname-openssl.so.*

%changelog
* Mon May 25 2009 Afanasov Dmitry <ender@altlinux.org> 2.0.4-alt7
- relax info files verify. this files are ignored and not packaged.

* Tue Apr 14 2009 Afanasov Dmitry <ender@altlinux.org> 2.0.4-alt6
- build with included libtasn1: build requires libtasn1-config which 
  was removed in libtasn1 v2.0.
- change group to legacy libraries.
- disable gtk-doc build.

* Sun Nov 30 2008 Afanasov Dmitry <ender@altlinux.org> 2.0.4-alt5
- remove obsolete ldconfig calls
- change package name: add soname to the end
- obsolete old package

* Mon Jul 14 2008 Pavlov Konstantin <thresh@altlinux.ru> 2.0.4-alt4
- Apply patches from gnutls13_2.0.4-1ubuntu2.1.diff.gz, thx aris@.
- Compatibility library.

* Wed May 21 2008 Pavlov Konstantin <thresh@altlinux.ru> 2.0.4-alt2
- Fix CVE 2008-1948, 2008-1949, 2008-1950.

* Mon Dec 03 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.0.4-alt1
- 2.0.4 release.

* Fri Sep 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.0.1-alt1
- 2.0.1 release.

* Fri Sep 14 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.0.0-alt1
- 2.0.0 release.
- Do not try to use valgrind on non-x86/x86_64 architectures (thx kas@).

* Tue Jun 05 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.6.3-alt1
- 1.6.3 release.

* Thu Apr 19 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.6.2-alt1
- 1.6.2 release.

* Wed Feb 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.6.1-alt5
- Reverted -alt4 fixes, introduced a real fix for tasn1.

* Wed Feb 14 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.6.1-alt4
- Fixed #10822: removed .private.

* Sun Jan 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.6.1-alt3
- Modified symbol versioning:
  Added GNUTLS_1_6_1 with two new symbols.

* Sun Jan 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.6.1-alt2
- Added libgnutlsxx and libgnutlsxx-devel subpackages.
- Spec cleanup.

* Mon Jan 08 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.6.1-alt1
- Release 1.6.1.

* Sun Sep 24 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.4-alt1
- Release 1.4.4

* Sun Sep 10 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.3-alt1
- Release 1.4.3

* Sat Sep 02 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.2-alt1
- Updated to 1.4.2

* Tue May 30 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.0-alt1
- Updated to 1.4.0
- Updated Patch0

* Fri Mar 24 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.10-alt2
- Patch0: fixes build problems with ld --as-needed flag

* Sat Feb 11 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.10-alt1
- 1.2.10, fixes SA18794
- Correct packaging of examples
- Info install scripts moved to gnutls-devel-doc

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.9-alt1.1
- Rebuilt for new pkg-config dependencies.

* Sat Dec 03 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.9-alt1
- Updated to 1.2.9
- Moved documentation off to gnutls-devel-doc

* Tue Aug 16 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.6-alt1.1
- rebuild with libopencdk.

* Sun Aug 14 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.6-alt1
- Updated to upstream release 1.2.6

* Fri May 27 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.3-alt1
- Updated to upstream release 1.2.3

* Mon Jan 03 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.23-alt1
- Updated to upstream release 1.0.23

* Sat Oct 16 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.21-alt1
- Updated to upstream release 1.0.21

* Tue May 25 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.13-alt1
- Updated to upstream release 1.0.13
- Added /usr/bin/srptool to the utils file list

* Thu Apr 08 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.10-alt1
- Updated to upstream release 1.0.10

* Sat Mar 27 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.8-alt2
- Rebuilt against libgcrypt 1.1.93

* Sat Mar 06 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.8-alt1
- Updated to 1.0.8 upstream release
- Build fixes for new autotools

* Sat Jan 10 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.4-alt1
- Updated to 1.0.4 upstream release
- Renamed the source package to gnutls
- Added openssl subpackage family to pack libgnutls-openssl

* Sat Jan 10 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.9-alt3
- Made external libtasn1 linkage optional, disabled per default

* Fri Jan 02 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.9-alt2
- Spec cleanup
- Build against libtasn1
- Removed libtool files from the filelist

* Sun Jul 20 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.9-alt1
- Ported the package to ALT Linux
